- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgDB::ReaderWriter Class Reference

pure virtual base class for reading and writing of non native formats. More...

Inheritance diagram for osgDB::ReaderWriter:

[legend]
List of all members.

## Public Types
enum | ArchiveStatus { READ, WRITE, CREATE }
## Public Member Functions
| ReaderWriter ()
| ReaderWriter (const ReaderWriter &rw, const osg::CopyOp copyop=osg::CopyOp::SHALLOW_COPY)
virtual | ~ReaderWriter ()
| META_Object (osgDB, ReaderWriter)
virtual bool | acceptsExtension (const std::string &) const
virtual ReadResult | openArchive (const std::string &, ArchiveStatus, unsigned int=4096, const Options *=NULL) const
| open an archive for reading, writing or or to create an empty archive for writing to.
virtual ReadResult | openArchive (std::istream &, const Options *=NULL) const
| open an archive for reading.
virtual ReadResult | readObject (const std::string &, const Options *=NULL) const
virtual ReadResult | readImage (const std::string &, const Options *=NULL) const
virtual ReadResult | readHeightField (const std::string &, const Options *=NULL) const
virtual ReadResult | readNode (const std::string &, const Options *=NULL) const
virtual WriteResult | writeObject (const osg::Object &, const std::string &, const Options *=NULL) const
virtual WriteResult | writeImage (const osg::Image &, const std::string &, const Options *=NULL) const
virtual WriteResult | writeHeightField (const osg::HeightField &, const std::string &, const Options *=NULL) const
virtual WriteResult | writeNode (const osg::Node &, const std::string &, const Options *=NULL) const
virtual ReadResult | readObject (std::istream &, const Options *=NULL) const
virtual ReadResult | readImage (std::istream &, const Options *=NULL) const
virtual ReadResult | readHeightField (std::istream &, const Options *=NULL) const
virtual ReadResult | readNode (std::istream &, const Options *=NULL) const
virtual WriteResult | writeObject (const osg::Object &, std::ostream &, const Options *=NULL) const
virtual WriteResult | writeImage (const osg::Image &, std::ostream &, const Options *=NULL) const
virtual WriteResult | writeHeightField (const osg::HeightField &, std::ostream &, const Options *=NULL) const
virtual WriteResult | writeNode (const osg::Node &, std::ostream &, const Options *=NULL) const
## Classes
class | Options
| Options base class used for passing options into plugins to control their operation. More...
class | ReadResult
class | WriteResult

## Detailed Description

pure virtual base class for reading and writing of non native formats.

## Member Enumeration Documentation

enum osgDB::ReaderWriter::ArchiveStatus

  | Enumerator:
  READ |
  WRITE |
  CREATE |

## Constructor & Destructor Documentation

osgDB::ReaderWriter::ReaderWriter | ( |  | ) | `[inline]`

osgDB::ReaderWriter::ReaderWriter | ( | const ReaderWriter & | rw,
|  | const osg::CopyOp | copyop = `osg::CopyOp::SHALLOW_COPY`
| ) | `[inline]`

ReaderWriter::~ReaderWriter | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool osgDB::ReaderWriter::acceptsExtension | ( | const std::string & |  | ) | const`[inline, virtual]`

osgDB::ReaderWriter::META_Object | ( | osgDB | ,
|  | ReaderWriter |
| ) |

virtual ReadResult osgDB::ReaderWriter::openArchive | ( | std::istream & | ,
|  | const Options * | = `NULL`
| ) | const`[inline, virtual]`

| open an archive for reading.

virtual ReadResult osgDB::ReaderWriter::openArchive | ( | const std::string & | ,
|  | ArchiveStatus | ,
|  | unsigned | int = `4096`,
|  | const Options * | = `NULL`
| ) | const`[inline, virtual]`

| open an archive for reading, writing or or to create an empty archive for writing to.

virtual ReadResult osgDB::ReaderWriter::readHeightField | ( | std::istream & | ,
|  | const Options * | = `NULL`
| ) | const`[inline, virtual]`

virtual ReadResult osgDB::ReaderWriter::readHeightField | ( | const std::string & | ,
|  | const Options * | = `NULL`
| ) | const`[inline, virtual]`

virtual ReadResult osgDB::ReaderWriter::readImage | ( | std::istream & | ,
|  | const Options * | = `NULL`
| ) | const`[inline, virtual]`

virtual ReadResult osgDB::ReaderWriter::readImage | ( | const std::string & | ,
|  | const Options * | = `NULL`
| ) | const`[inline, virtual]`

virtual ReadResult osgDB::ReaderWriter::readNode | ( | std::istream & | ,
|  | const Options * | = `NULL`
| ) | const`[inline, virtual]`

virtual ReadResult osgDB::ReaderWriter::readNode | ( | const std::string & | ,
|  | const Options * | = `NULL`
| ) | const`[inline, virtual]`

virtual ReadResult osgDB::ReaderWriter::readObject | ( | std::istream & | ,
|  | const Options * | = `NULL`
| ) | const`[inline, virtual]`

virtual ReadResult osgDB::ReaderWriter::readObject | ( | const std::string & | ,
|  | const Options * | = `NULL`
| ) | const`[inline, virtual]`

virtual WriteResult osgDB::ReaderWriter::writeHeightField | ( | const osg::HeightField & | ,
|  | std::ostream & | ,
|  | const Options * | = `NULL`
| ) | const`[inline, virtual]`

virtual WriteResult osgDB::ReaderWriter::writeHeightField | ( | const osg::HeightField & | ,
|  | const std::string & | ,
|  | const Options * | = `NULL`
| ) | const`[inline, virtual]`

virtual WriteResult osgDB::ReaderWriter::writeImage | ( | const osg::Image & | ,
|  | std::ostream & | ,
|  | const Options * | = `NULL`
| ) | const`[inline, virtual]`

virtual WriteResult osgDB::ReaderWriter::writeImage | ( | const osg::Image & | ,
|  | const std::string & | ,
|  | const Options * | = `NULL`
| ) | const`[inline, virtual]`

virtual WriteResult osgDB::ReaderWriter::writeNode | ( | const osg::Node & | ,
|  | std::ostream & | ,
|  | const Options * | = `NULL`
| ) | const`[inline, virtual]`

virtual WriteResult osgDB::ReaderWriter::writeNode | ( | const osg::Node & | ,
|  | const std::string & | ,
|  | const Options * | = `NULL`
| ) | const`[inline, virtual]`

virtual WriteResult osgDB::ReaderWriter::writeObject | ( | const osg::Object & | ,
|  | std::ostream & | ,
|  | const Options * | = `NULL`
| ) | const`[inline, virtual]`

virtual WriteResult osgDB::ReaderWriter::writeObject | ( | const osg::Object & | ,
|  | const std::string & | ,
|  | const Options * | = `NULL`
| ) | const`[inline, virtual]`

The documentation for this class was generated from the following files:

- ReaderWriter
- ReaderWriter.cpp